Sync all projects to SCM
curl --request POST \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/repos/_refresh_async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"withCodeAccess": true
}
'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/repos/_refresh_async"
payload = {
"deploymentId": 123,
"withCodeAccess": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: 123, withCodeAccess: true})
};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/repos/_refresh_async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_token_jwt": "<string>"
}Projects
Sync all projects to SCM
Schedules a job to sync all projects in a deployment to their SCM.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
repos
/
_refresh_async
Sync all projects to SCM
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Response
202 - application/json
Accepted
Was this page helpful?
⌘I